@echo off

set flashfile=0ABPZ020.rom

if not "%1" == "" set flashfile=%1

if not exist %flashfile% goto err_filenotfound

:: File found, attempt flash
echo Now updating with BIOS image file: %flashfile%
echo.
AFUDOS.exe %flashfile% /p /b /n /REBOOT
IF ERRORLEVEL 1 GOTO err_flash_failed

:err_filenotfound
echo.
echo Error: BIOS image file %flashfile% was not found.
echo.
goto done

:err_flash_failed
echo.
echo Error: BIOS flash attempt failed.
echo.
goto done

:done
